Name: gambas
Version: 1.0.9
Release: alt1
Group: Development/Other
Summary: Free and complete development environment based on a basic interpreter with object extensions
License: GPL
Url: http://gambas.sourceforge.net
Source0: %name-%version.tar.bz2
Patch0: %name-1.0.4-alt-make.patch

Packager: Valery Inozemtsev <shrek@altlinux.ru>

# Automatically added by buildreq on Sun Nov 07 2004
BuildRequires: bzlib-devel fontconfig freetype2 gcc-c++ kdelibs-devel
BuildRequires: libMySQL-devel libSDL-devel libSDL_mixer-devel libcurl-devel
BuildRequires: libpq-devel libqt3-devel libssl-devel libstdc++-devel
BuildRequires: libxml2-devel libxslt-devel postgresql-devel sqlite-devel
BuildRequires: xorg-x11-devel zlib-devel gettext-tools libsmpeg-devel libfam-devel

%description
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
With Gambas, you can quickly design your program GUI, access MySQL or
PostgreSQL databases, control KDE applications with DCOP, translate
your program into many languages, create network applications easily,
build RPMs of your apps automatically, and so on...

%package runtime
Summary: The Gambas runtime
Group: Development/Other
Obsoletes: lib%name

%description runtime
This package includes the Gambas interpreter needed to run Gambas applications.

%package ide
Summary: The Gambas IDE
Group: Development/Other
Requires: %name-runtime = %version-%release
Requires: %name-gb-debug = %version-%release
Requires: %name-gb-qt = %version-%release
Requires: %name-gb-qt-editor = %version-%release
Requires: %name-gb-qt-ext = %version-%release
Obsoletes: %name

%description ide
This package includes the complete Gambas Development Environment, with the
database manager, the help files, and all components.

%package examples
Summary: The examples for Gambas
Group: Development/Other
Requires: %name-ide = %version-%release

%description examples
The gambas-examples package contains some examples for gambas.

%package gb-compress
Summary: The Gambas compression component
Group: Development/Other
Requires: %name-runtime = %version-%release

%description gb-compress
This component allows you to compress/uncompress data or files with
the bzip2 and zip algorithms.

%package gb-db
Summary: The Gambas database component
Group: Development/Other
Requires: %name-runtime = %version-%release

%description gb-db
This component allows you to access many databases management systems,
provided that you install the needed driver packages.

%package gb-db-mysql
Summary: The MySQL driver for the Gambas database component
Group: Development/Other
Requires: %name-runtime = %version-%release %name-gb-db = %version-%release

%description gb-db-mysql
This component allows you to access MySQL databases.

%package gb-db-postgresql
Summary: The PostgreSQL driver for the Gambas database component
Group: Development/Other
Requires: %name-runtime = %version-%release %name-gb-db = %version-%release

%description gb-db-postgresql
This component allows you to access PostgreSQL databases.

%package gb-db-sqlite
Summary: The SQLite driver for the Gambas database component
Group: Development/Other
Requires: %name-runtime = %version-%release %name-gb-db = %version-%release

%description gb-db-sqlite
This component allows you to access SQLite databases.

%package gb-debug
Summary: The debugger helper component for the Gambas IDE
Group: Development/Other
Requires: %name-runtime = %version-%release

%description gb-debug
This component helps the IDE to debug Gambas programs.

%package gb-eval
Summary: The Gambas expression evaluator component
Group: Development/Other
Requires: %name-runtime = %version-%release

%description gb-eval
This component allows you to evaluate expressions at runtime.
It is used by the Gambas Eval() function.

%package gb-net
Summary: The Gambas networking component
Group: Development/Other
Requires: %name-runtime = %version-%release

%description gb-net
This component allows you to use TCP/IP and UDP sockets, and to access
any serial ports.

%package gb-net-curl
Summary: The Gambas advanced networking component
Group: Development/Other
Requires: %name-runtime = %version-%release %name-gb-net = %version-%release

%description gb-net-curl
This component allows your programs to easily become FTP or HTTP clients.

%package gb-qt
Summary: The Gambas Qt GUI component
Group: Development/Other
Requires: %name-runtime = %version-%release

%description gb-qt
This package includes the Gambas QT GUI component.

%package gb-qt-ext
Summary: The Gambas extended Qt GUI component
Group: Development/Other
Requires: %name-runtime = %version-%release %name-gb-qt = %version-%release

%description gb-qt-ext
This component includes somme uncommon QT controls.

%package gb-qt-editor
Summary: The Gambas source code editor component
Group: Development/Other
Requires: %name-runtime = %version-%release %name-gb-qt = %version-%release

%description gb-qt-editor
This component includes a Gambas source code editor with syntax highlighting.
It is used by the IDE.

%package gb-qt-kde
Summary: The Gambas KDE component
Group: Development/Other
Requires: %name-runtime = %version-%release %name-gb-qt = %version-%release

%description gb-qt-kde
This component transforms your QT application in a KDE application, and
allows you to pilot any other KDE application with the DCOP protocol.

%package gb-qt-kde-html
Summary: The Gambas KHTML component
Group: Development/Other
Requires: %name-runtime = %version-%release %name-gb-qt-kde = %version-%release

%description gb-qt-kde-html
This component allows you to use the KHTML Web Browser widget included in KDE.

%package gb-sdl
Summary: The Gambas SDL component
Group: Development/Other
Requires: %name-runtime = %version-%release

%description gb-sdl
This component uses only the sound part of the SDL library. It allows you to
simultaneously play many sounds and a music stored in a file.

%package gb-vb
Summary: The Gambas Visual Basic(tm) compatibility component
Group: Development/Other
Requires: %name-runtime = %version-%release

%description gb-vb
This component aims at including some functions that imitate the behaviour
of Visual Basic(tm) functions. Use it only if you try to port some VB
projects.

%package gb-xml
Summary: The Gambas XML components based on the libxml and libxslt libraries.
Group: Development/Other
Requires: %name-runtime = %version-%release

%description gb-xml
These components brings the power of the libxml and libxslt libraries to
Gambas.

%prep
%setup -q

%patch0 -p0

%set_compress_method skip

%build
%configure
%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 app/gambas/img/logo/gambas-16x16.png %buildroot%_liconsdir/%name.png
%__install -pD -m644 app/gambas/img/logo/gambas-32x32.png %buildroot%_iconsdir/%name.png
%__install -pD -m644 app/gambas/img/logo/gambas-48x48.png %buildroot%_miconsdir/%name.png

%__mkdir_p %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name-ide): needs="x11" \
 section="Applications/Development/Development environments" \
 title="Gambas" \
 longtitle="Gambas Integrated Development Environment" \
 command="%name" \
 icon="%name.png"
EOF

%post ide
%update_menus

%postun ide
%clean_menus

%files runtime
%doc README AUTHORS COPYING INSTALL NEWS TODO
%_bindir/gbi
%_bindir/gbx
%dir %_libdir/%name
%dir %_datadir/%name
%dir %_datadir/%name/info
%_libdir/%name/lib.gb.component
%_datadir/%name/info/gb.info
%_datadir/%name/info/gb.list

%files ide
%_bindir/%name
%_bindir/gbc
%_bindir/gba
%_bindir/%name-database-manager
%_datadir/%name/help
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_menudir/%name

%files examples
%_datadir/%name/examples

%files gb-compress
%_libdir/%name/lib.gb.compress.*
%_datadir/%name/info/gb.compress.*

%files gb-db
%_libdir/%name/lib.gb.db.la
%_libdir/%name/lib.gb.db.so*
%_libdir/%name/lib.gb.db.component
%_datadir/%name/info/gb.db.info
%_datadir/%name/info/gb.db.list

%files gb-db-mysql
%_libdir/%name/lib.gb.db.mysql.*

%files gb-db-postgresql
%_libdir/%name/lib.gb.db.postgresql.*

%files gb-db-sqlite
%_libdir/%name/lib.gb.db.sqlite.*

%files gb-debug
%_libdir/%name/lib.gb.debug.*
%_datadir/%name/info/gb.debug.*

%files gb-eval
%_libdir/%name/lib.gb.eval.*
%_datadir/%name/info/gb.eval.*

%files gb-net
%_libdir/%name/lib.gb.net.la
%_libdir/%name/lib.gb.net.so*
%_libdir/%name/lib.gb.net.component
%_datadir/%name/info/gb.net.info
%_datadir/%name/info/gb.net.list

%files gb-net-curl
%_libdir/%name/lib.gb.net.curl.la
%_libdir/%name/lib.gb.net.curl.so*
%_libdir/%name/lib.gb.net.curl.component
%_datadir/%name/info/gb.net.curl.info
%_datadir/%name/info/gb.net.curl.list

%files gb-qt
%_libdir/%name/lib.gb.qt.la
%_libdir/%name/lib.gb.qt.so*
%_libdir/%name/lib.gb.qt.component
%_datadir/%name/info/gb.qt.info
%_datadir/%name/info/gb.qt.list

%files gb-qt-ext
%_libdir/%name/lib.gb.qt.ext.la
%_libdir/%name/lib.gb.qt.ext.so*
%_libdir/%name/lib.gb.qt.ext.component
%_datadir/%name/info/gb.qt.ext.info
%_datadir/%name/info/gb.qt.ext.list

%files gb-qt-editor
%_libdir/%name/lib.gb.qt.editor.la
%_libdir/%name/lib.gb.qt.editor.so*
%_libdir/%name/lib.gb.qt.editor.component
%_datadir/%name/info/gb.qt.editor.info
%_datadir/%name/info/gb.qt.editor.list

%files gb-qt-kde
%_libdir/%name/lib.gb.qt.kde.la
%_libdir/%name/lib.gb.qt.kde.so*
%_libdir/%name/lib.gb.qt.kde.component
%_datadir/%name/info/gb.qt.kde.info
%_datadir/%name/info/gb.qt.kde.list

%files gb-qt-kde-html
%_libdir/%name/lib.gb.qt.kde.html.la
%_libdir/%name/lib.gb.qt.kde.html.so*
%_libdir/%name/lib.gb.qt.kde.html.component
%_datadir/%name/info/gb.qt.kde.html.info
%_datadir/%name/info/gb.qt.kde.html.list

%files gb-sdl
%_libdir/%name/lib.gb.sdl.la
%_libdir/%name/lib.gb.sdl.so*
%_libdir/%name/lib.gb.sdl.component
%_datadir/%name/info/gb.sdl.info
%_datadir/%name/info/gb.sdl.list

%files gb-vb
%_libdir/%name/lib.gb.vb.la
%_libdir/%name/lib.gb.vb.so*
%_libdir/%name/lib.gb.vb.component
%_datadir/%name/info/gb.vb.info
%_datadir/%name/info/gb.vb.list

%files gb-xml
%_libdir/%name/lib.gb.xml.libxml.*
%_datadir/%name/info/gb.xml.libxml.*

%changelog
* Sat Jul 23 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.9-alt1
- 1.0.9

* Tue Jul 12 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.8-alt1
- 1.0.8

* Mon Jul 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.7-alt1
- 1.0.7

* Mon May 30 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.6-alt2
- fixed buildrequires

* Wed May 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.6-alt1
- 1.0.6

* Thu Mar 10 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Thu Jan 13 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Wed Jan 05 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Tue Dec 21 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.99.RC5-alt1
- 1.0.RC5

* Fri Nov 12 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.99.RC2-alt2
- fixed requires (#5486)
- fixed examples (#5487)

* Mon Nov 08 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.99.RC2-alt1
- 1.0.RC2

* Sun Nov 07 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.99.RC1-alt1
- new version

* Thu Jun 03 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.93b-alt1
- initial release 

